Issue 9327

Title
Keep temporary context on reload
Priority
feature
Status
resolved
Nosy list
ced, resteve, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-05-12.17:26:07 by ced, last changed 4 months ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-23.17:01:57
Feature are not backported.
Author: [hidden] (resteve)
Date: 2020-07-23.16:57:11
We found a bug that when a user change their preferences and change the company, don't reload the company in SAO. (but change the main_company in the database).

At the moment, we apply changeset sao-b8dd3e4cca1f and work for us.

Detected at SAO 5.2 and 5.4 when run wsgi server (apache); not when run bin/trytond.

We need to backport to 5.2, 5.4 and 5.6?
New changeset 5cfdd7a38397 by Cédric Krier in branch 'default':
Use existing context for get_preferences
https://hg.tryton.org/tryton-env/rev/5cfdd7a38397
New changeset 01ef5885b0e1 by Cédric Krier in branch 'default':
Use existing context for get_preferences
https://hg.tryton.org/tryton/rev/01ef5885b0e1
New changeset b8dd3e4cca1f by Cédric Krier in branch 'default':
Use existing context for get_preferences and keep it in sessionStorage
https://hg.tryton.org/sao/rev/b8dd3e4cca1f
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-05-12.17:26:06
Some context field like company or employee are designed to be kept per client session even on context reload. But issue3837 removed this behavior globally for any context reload. But instead it is when the user modify his preferences that we must reload cleanly the context.
Also on sao we keep the session in the browser so reloading the page keep us logged. But sao fetch a new context which may change the "session" fields like company or employee. I propose to store in the sessionStorage those values and restore them on reload. The sessionStorage is kept only per tab so it is not shared between tabs and it is cleared when the tab is closed. This means that a user could have two tabs opened on the same server and changed his preferences on one (change company or employee) and he can reload each tab without loosing each context.
History
Date User Action Args
2020-07-23 17:01:58cedsetstatus: chatting -> resolved
messages: + msg59451
2020-07-23 16:57:11restevesetstatus: resolved -> chatting
nosy: + resteve
messages: + msg59450
2020-06-06 14:03:06roundup-botsetmessages: + msg58550
2020-06-06 14:03:03roundup-botsetmessages: + msg58549
2020-06-06 14:03:00roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg58548
2020-05-12 17:39:20cedsetstatus: in-progress -> testing
2020-05-12 17:38:20cedlinkissue9328 superseder
2020-05-12 17:34:47reviewbotsetmessages: + msg57973
2020-05-12 17:34:47reviewbotsetreviews: 301611002 -> 301611002, 299651002
2020-05-12 17:34:42reviewbotsetnosy: + reviewbot
messages: + msg57972

Showing 10 items. Show all history (warning: this could be VERY long)